@import url('/assets/fonts/webfonts.css');

:root {
  /* Changes to Major version include renaming or deletion of variables.
   Changes to Minor version include addition of new variables.
   Changes to Revision version include variable value changes. */
  --Version-Number: 2.1;

  /* global styles variables */
  --font-family: 'ProximaNova', Arial, Helvetica, sans-serif;
  --font-family-display: 'ProximaNova', Arial, Helvetica, sans-serif;
  --lightest: #fff;
  --light: #F3F3F3;
  --light-inverse: #283874;
  --white-inverse: #283874;
  --medium: #C4C4C4;
  --dark: #333;
  --darkest: #000;
  --body-background: var(--lightest);
  --body-color: var(--light);
  --body-font-weight: 500;
  --headings-font-weight: 700;

  --primary: #283874;
  --primary-hover: #304696;
  --primary-contrast: #1f2c5a;
  --primary-inverse: var(--lightest);
  --primary-border: rgba(40, 56, 116, 0.6);

  --secondary: #ffa300;
  --secondary-hover: #e28f00;
  --secondary-contrast: #ffb32f;
  --secondary-inverse: var(--lightest);

  --info: #283874;
  --info-hover: #304696;
  --info-contrast: #1f2c5a;
  --info-inverse: var(--lightest);

  --highlight: hsla(207, 79%, 95%, 1);
  --highlight-hover: hsla(207, 79%, 75%, 1);
  --highlight-contrast: hsla(207, 79%, 25%, 1);
  --highlight-inverse: var(--darkest);

  --success: #5cc073;
  --danger: #f76666;
  --warning: #ffc107;
  --dark: #343a40;
  --white: #fff;
  --grey: #6c757d;
  --light-grey: #ced4da;
}

/* ------- PER CLIENT CUSTOMIZATION ------- */

/* Assign Font to document */
html,
body {
  font-family: var(--font-family) !important;
  font-weight: var(--body-font-weight) !important;
  color: var(--darkest) !important;
  letter-spacing: 0.0425em;
  font-size: 14px !important;
}

/* Rounded Pill Button border */
body .rounded-pill {
  border-radius: 0.5rem !important;
}

.page-header--pnr .rounded-end-0 {
  border-top-right-radius: 0!important;
  border-bottom-right-radius: 0!important;
}
.page-header--pnr .rounded-start-0 {
  border-top-left-radius: 0!important;
  border-bottom-left-radius: 0!important;
}

/* Mapping needed when google font does not correspond */
h1,
.h1 {
  font-weight: var(--headings-font-weight) !important;
  font-family: var(--font-family-display) !important;
  text-transform: uppercase;
}

h2,
.h2 {
  font-weight: var(--headings-font-weight) !important;
  font-family: var(--font-family-display) !important;
  color: var(--light-inverse);
}

h3,
.h3 {
  font-weight: var(--headings-font-weight) !important;
  font-family: var(--font-family-display) !important;
  text-transform: uppercase;
}

h4,
.h4 {
  font-weight: var(--headings-font-weight) !important;
  font-family: var(--font-family-display) !important;
  color: var(--light-inverse);
}

h5,
.h5 {
  font-weight: var(--headings-font-weight) !important;
  font-family: var(--font-family-display) !important;
}

h6,
.h6 {
  font-weight: var(--headings-font-weight) !important;
  font-family: var(--font-family-display) !important;
}

/* Logo sizing specific to brand */
a.navbar-brand img {
  width: 14rem;
}


/* If user has a wide logo, they may want to has a compact version for small screens - please take a look on Advanced Air for more information */
/* a.navbar-brand img.logo--image {
display: none;
}

@media (min-width: 1280px) {
a.navbar-brand img.logo--image {
  display: inline;
}

a.navbar-brand img.compact-logo--image {
  display: none;
}
} */

/* AmeliaRes Logo Style */
.page-footer img.amelia-logo {
  width: 4.75rem;
}

/* SVG Icon Substitution */
.leg--footer .logo {
  background-image: url(./img/airline-icon.svg);
  width: 20px;
  height: 20px;
}

app-site-header .logged-in-info>div>a a:first-child {
  color: var(--primary) !important;
}

svg .seat-text {
  letter-spacing: 0;
}

/* Site header */
app-site-header-flight-summary span {
  font-size: 12px !important;
}

app-site-header .cart-details--container {
  color: var(--secondary) !important;
  border-color: var(--secondary) !important;
}

app-site-header.page-header,
app-site-header .text-white,
app-site-header li::after {
  color: var(--primary) !important;
  background-color: var(--light) !important;
}

app-site-header-flight-summary span,
.page-header .loyalty-login>a,
app-language-picker .selected-language-label,
.utility-actions .dropdown-toggle {
  color: var(--primary) !important;
}

/* Line in progress bar and journey date option */
.page-steps .step .step--container {
  border-bottom-color: var(--light-inverse) !important;
}

@media (min-width: 576px) {
  app-progress-bar .page-steps .step.active .step--container {
    border-bottom-width: 3px;
  }
}

.journey-dates-ribbon .dates-ribbon-item>div {
  border-top-color: var(--light-inverse) !important;
}

.btn.btn-secondary {
  border-radius: 0.5rem !important;
}

/* Title in progress bar and Page title */
.page-steps .step.active .step--container .step--label {
  text-transform: initial;
}

/* Check-in page */
.search-widget .form .ic-lightbulb-on-bf::before {
  margin-right: 8px;
}

app-search .check-in-constrain {
  color: rgba(40, 56, 116, 0.3) !important;
}

/* Footer */
.page-footer .copy-right {
  font-weight: 500 !important;
  color: var(--medium);
}

/* Select flight*/
app-journey-fares-item .fare--selection-column .btn-group .btn-primary {
  background-color: var(--secondary) !important;
  border-color: var(--secondary) !important;
}

.page-controllers .container-lg .btn-outline-primary {
  color: var(--secondary) !important;
  border-color: var(--secondary) !important;
}

.page-controllers .container-lg .btn-outline-primary:hover {
  color: var(--white) !important;
  border-color: var(--secondary) !important;
  background-color: var(--secondary-hover) !important;
}

.page-controllers .container-lg .btn-primary {
  background-color: var(--secondary) !important;
  border-color: var(--secondary) !important;
}

.page-controllers .container-lg .btn-primary:hover {
  background-color: var(--secondary-hover) !important;
}

app-journey-fare-option-header.fare-type-bravo {
  opacity: 0.9;
}

app-journey-fare-option-header.fare-type-charlie {
  opacity: 0.8;
}

app-journey-fare-option-header.fare-type-delta {
  opacity: 0.7;
}

app-journey-fare-option-ptc-fare-summary .fare--expansion .text-medium {
  color: var(--grey) !important;
}

.mono.ctm-checkbox {
  border-color: var(--light-grey) !important;
  color: var(--grey) !important;
}

/* Customize page */
app-ancillary-category>.card>.card-footer,
app-ancillary-category>.border>div>.card>.card-footer {
  background-color: var(--secondary) !important;
  border-color: var(--secondary) !important;
  cursor: pointer;
}

/* app-ancillary-category .rounded > div:not(.ssr--category-item) .card {
  background-color: var(--secondary) !important;
  border-color: var(--secondary) !important;
  cursor: pointer;
} */

app-ancillary-category>.card>.card-footer>div,
app-ancillary-category>.border>div>.card>.card-footer>div {
  color: var(--white) !important;
}

/* Reservation charges */
app-reservation-charges .charges.border-top,
app-reservation-charges .cart-journey .border-bottom,
app-reservation-charges .charges .charges--data.border-sm-left,
app-reservation-charges .cart-passengers .card {
  border-color: var(--primary) !important;
}

app-payment-method-picker .payment-methods .card {
  border-color: var(--primary) !important;
}

app-confirm-and-pay .cart--summary .card-subtitle {
  text-transform: capitalize;
}

/*Booking success */
app-booking-success-summary .confirmation--shoulder {
  border: 1px solid var(--primary);
  padding-bottom: 0 !important;
  background: var(--white);
  border-radius: 0.5rem;
}

app-booking-success-summary .confirmation--body>div:first-child {
  border-bottom: unset !important;
}

app-booking-success-summary>div:first-child {
  padding-bottom: 1.5rem;
  border-bottom: 1px solid var(--primary);
}

app-booking-success-summary .confirmation--shoulder>div:first-child {
  border-bottom: 3px solid var(--primary);
  margin: 0 !important;
  padding-bottom: 1rem;
}

/* Extras */
app-extras .extras-title {
  min-height: 48px;
}

app-extras .ssr--category {
  margin-top: 0px !important;
}

app-extras app-reservation-charges-breakdown .charges-breakdown--title {
  min-height: 48px;
}

app-extras app-reservation-charges-breakdown .sticky-top>div:first-child {
  margin-bottom: 1.5rem !important;
}

app-language-picker .dropdown-item {
  color: var(--grey);
}

/* Charge Summary Total Cost of Flight align */
app-fare-option-charges-summary .charge-group:not(.mb-4) {
  display: flex;
}

app-fare-option-charges-summary .charge-group:not(.mb-4) .row.charges {
  flex-grow: 1;
  margin-left: 0;
  justify-content: flex-end;
}

app-fare-option-charges-summary .charge-group:not(.mb-4) .charge-name {
  display: none;
}

app-fare-option-charges-summary .charge-group:not(.mb-4) .charge-amount {
  flex-basis: initial;
  max-width: initial;
}

/* Header booking cart */
app-reservation-flight-charges-breakdown .card-header {
  border-bottom: 1px solid var(--primary-border);
  color: var(--light-inverse);
}

app-reservation-booking-cost-summary .card-footer {
  border-top: 1px solid var(--primary-border);
}

app-reservation-booking-cost-summary .cart--summary {
  color: var(--light-inverse);
}

app-journey-fares-item .btn-outline-primary {
  color: var(--primary-inverse);
  background-color: var(--primary);
  border-color: var(--primary);
}

app-ancillary-category .border {
  border: 1px solid var(--light-inverse) !important;
}
app-booking-success .h1,
app-booking-success .h3 {
  text-transform: unset;
}

/* Booking Sucess */
app-booking-success-summary .border-dark,
app-booking-success-summary .border-medium {
  border-color: var(--light-inverse) !important;
}

/* Select Fight button same tone as header */
app-journey-fare-option-summary.fare-type-bravo .btn-select {
  opacity: .9;
}

app-journey-fare-option-summary.fare-type-charlie .btn-select {
  opacity: .8;
}

app-journey-fare-option-summary.fare-type-delta .btn-select {
  opacity: .7;
}

/* Change Hurray button as hover */
app-journey-fares-item .fare--selection-column .btn-outline-primary:hover {
  z-index: unset;
}

/* Change fare detail text color */
app-journey-fare-option-ptc-fare-summary .text-medium.pointer {
  color: inherit !important;
}

/* Payment Terms and Condition and Fare Rules */
.booking-success-container .fare-terms,
.booking-success-container .term-detail {
  color: var(--primary);
}

.rules-and-conditions-viewer-modal.modal-header {
  border-bottom-color: var(--primary);
}

/* Page step list border at mobile view */
.page-steps .step-list--container {
  border-bottom-color: var(--light-inverse) !important;
}

/* Hide loyalty registration modal header*/
app-loyalty-registration .alert.alert-info.mb-5 {
  display: none !important;
}
app-journey-fares-item .d-block.text-prewrap {
  color: var(--lightest) !important;
}

.agent-login-header.bg-primary {
  background-color: transparent!important;
}

/*Agent Deposit Fund Credit Card SVG*/
.payment--method.DC {
  background: url(./assets/images/diners-club.jpg) center no-repeat !important;
  background-size: contain !important;
  width: calc(48px + 0.9vw) !important;
  height: calc(32px + 0.9vw) !important;
  text-indent: -9999em !important;
}

.payment--method.DS {
  background: url(./assets/images/discover.svg) center no-repeat !important;
  width: calc(48px + 0.9vw) !important;
  height: calc(32px + 0.9vw) !important;
  text-indent: -9999em !important;
}

.payment--method.JC {
  background: url(./assets/images/jcb.svg) center no-repeat !important;
  width: calc(48px + 0.9vw) !important;
  height: calc(32px + 0.9vw) !important;
  text-indent: -9999em !important;
}

.payment--method.AMEX {
  background: url(./assets/images/amex.svg) center no-repeat !important;
  width: calc(48px + 0.9vw) !important;
  height: calc(32px + 0.9vw) !important;
  text-indent: -9999em !important;
}

.avis-image {
  width: 300px;
  background-image: url(/assets/images/avis-web.png);
  height: 200px;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}

.budget-web-image {
  width: 300px;
  background-image: url(/assets/images/budget-web.png);
  height: 200px;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}
